dotnet-nuget-config-set(1)

dotnet nuget config set

This article applies to: ✔️ .NET 8.0.2xx SDK and later versions

NAME

dotnet-nuget-config-set - Set the value of a specified NuGet configuration setting.

SYNOPSIS

    dotnet nuget config set <CONFIG-KEY> <CONFIG-VALUE> [--configfile <FILE>]

    dotnet nuget config set -h|--help

DESCRIPTION

The dotnet nuget config set sets the values for NuGet configuration settings that will be applied from the config section.

ARGUMENTS

•   CONFIG_KEY

    The key of the settings that are to be set.

•   CONFIG-VALUE

    The value of the settings that are to be set.

OPTIONS

•   --configfile <FILE>

    The NuGet configuration file (nuget.config) to use. If specified, only the settings from this file will be used. If not specified, the hierarchy of configuration files from the current directory will be used. For more information, see Common NuGet Configurations.

•   -?|-h|--help

    Prints out a description of how to use the command.

EXAMPLES

•   Sets the repositoryPath configuration value c:\installed_packages to the current directory:

        dotnet nuget config set repositoryPath "c:\installed_packages"

•   Sets the repositoryPath configuration value c:\installed_packages to the specified configuration file:

        dotnet nuget config set repositoryPath "c:\installed_packages" --configfile "c:\nuget.config"

SEE ALSO

•   nuGet.config reference